> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Title Data

> Retrieves the key-value store of custom title settings



## OpenAPI

````yaml /services/playfab/api-references/rest/server/server.openapi.json post /Server/GetTitleData
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Server API
  description: >-
    Provides functionality to allow external (developer-controlled) servers to
    interact with user inventories and data in a trusted manner, and to handle
    matchmaking and client connection orchestration
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Account Management
    description: Account Management APIs
  - name: Analytics
    description: Analytics APIs
  - name: Authentication
    description: Authentication APIs
  - name: Character Data
    description: Character Data APIs
  - name: Characters
    description: Characters APIs
  - name: Content
    description: Content Service APIs
  - name: Friend List Management
    description: Friend List Management APIs
  - name: Matchmaking
    description: Matchmaking APIs
  - name: Platform Specific Methods
    description: Platform Specific Methods APIs
  - name: Player Data Management
    description: Player Data Management APIs
  - name: Player Item Management
    description: Player Item Management APIs
  - name: PlayStream
    description: PlayStream Management APIs
  - name: Server-Side Cloud Script
    description: Server-Side Cloud Script APIs
  - name: Shared Group Data
    description: Shared Group Data APIs
  - name: Title-Wide Data Management
    description: Title-Wide Data Management APIs
paths:
  /Server/GetTitleData:
    post:
      tags:
        - Title-Wide Data Management
      summary: Get Title Data
      description: Retrieves the key-value store of custom title settings
      operationId: GetTitleData
      requestBody:
        $ref: '#/components/requestBodies/GetTitleDataRequest'
      responses:
        '200':
          $ref: '#/components/responses/GetTitleDataResult'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - SecretKey: []
components:
  requestBodies:
    GetTitleDataRequest:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/GetTitleDataRequest'
      description: >-
        This API is designed to return title specific values which can be read,
        but not written to, by the client. For example, a developer could choose
        to store values which modify the user experience, such as enemy spawn
        rates, weapon strengths, movement speeds, etc. This allows a developer
        to update the title without the need to create, test, and ship a new
        build. If an override label is specified in the request, the overrides
        are applied automatically and returned with the title data. Note that
        there may up to a minute delay in between updating title data and this
        API call returning the newest value.
  responses:
    GetTitleDataResult:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/GetTitleDataResult'
            example:
              code: 200
              status: OK
              data:
                Data:
                  color: blue
                  propertyA: xyz123
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  schemas:
    GetTitleDataRequest:
      description: >-
        This API is designed to return title specific values which can be read,
        but not written to, by the client. For example, a developer could choose
        to store values which modify the user experience, such as enemy spawn
        rates, weapon strengths, movement speeds, etc. This allows a developer
        to update the title without the need to create, test, and ship a new
        build. If an override label is specified in the request, the overrides
        are applied automatically and returned with the title data. Note that
        there may up to a minute delay in between updating title data and this
        API call returning the newest value.
      type: object
      properties:
        Keys:
          description: >-
            Specific keys to search for in the title data (leave null to get all
            keys)
          type: array
          items:
            type: string
        OverrideLabel:
          description: >-
            Optional field that specifies the name of an override. This value is
            ignored when used by the game client; otherwise, the overrides are
            applied automatically to the title data.
          type: string
      example:
        Keys:
          - color
          - propertyA
    GetTitleDataResult:
      type: object
      properties:
        Data:
          description: a dictionary object of key / value pairs
          type: object
      example:
        Data:
          color: blue
          propertyA: xyz123
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
  securitySchemes:
    SecretKey:
      type: apiKey
      in: header
      name: X-SecretKey
      description: >-
        This API requires a title secret key, available to title admins, from
        PlayFab Game Manager.

````

## Related topics

- [Get Title Data](/services/playfab/api-references/rest/client/title-wide-data-management/get-title-data.md)
- [PFTitleDataManagementGetTitleDataResult](/services/playfab/api-references/c/pftitledatamanagementtypes/structs/pftitledatamanagementgettitledataresult.md)
- [Title Data quickstart](/services/playfab/live-service-management/game-configuration/titledata/quickstart.md)
- [PFTitleDataManagementGetTitleDataRequest](/services/playfab/api-references/c/pftitledatamanagementtypes/structs/pftitledatamanagementgettitledatarequest.md)
- [PFTitleDataManagementClientGetTitleDataGetResult](/services/playfab/api-references/c/pftitledatamanagement/functions/pftitledatamanagementclientgettitledatagetresult.md)
